export interface BatteryInterface {
    isCharging: boolean;
    chargePercent: number;
}
export interface BatteryComponentProps {
    state: BatteryInterface;
    color?: string;
}
export declare type BatteryStatus = BatteryInterface | null;
export declare type BatteryChangeHandler = (state: BatteryStatus) => void;
export declare type BatterySubscription = () => void;
export interface BatteryModule {
    getCurrentState: () => Promise<BatteryStatus>;
    addListener: (type: string, handler: Function) => void;
    removeListeners: (type: string, handler: Function) => void;
}
